-------------------------------------------------------------------------------------------   
function OnSceneEnter()
UI:Helper("up", false) 
UI:Helper("down", false) 
--[[ rozpoczecie dialogu z policjantem na poczatku
	if s.s01_0403_around_corner_visit==0 then
		Sleep(500)
		GoTo("s01_0404_policeman")
	end
-- rozpoczecie dialogu z policjantem po wysuszeniu fajki
	if s.i_cigarette==1 then
		Sleep(500)
		GoTo("s01_0404_policeman")
	end
]]	
-- kom po zniknieciu policjanta
StartSkyMotion(0.6, 0.06640634, 1.9, 0.06640634 )
Seqence("seq_s01_0403_hint_arow"):Play()
Seqence("seq_s01_0403_hint_arow_01"):Play()
Seqence("seq_s01_0403_hint_arow_02"):Play()

    if s.s01_0403_around_corner_visit==0 then
		UI:DayLabel("daylabel0202")
		Dialog("dlg_s01_25")
		Widgets.notes_window.AddEntry(1)
	elseif s.s01_0408_rubbish_visit==1 and s.s1_0403_hint_go==0 and s.sys_get_tutorial==0 then
		s.s1_0403_hint_go=1
		ShowGameHint("game_hint_17")
	elseif s.dlg_s01_10==1 and s.com_s01_0403_01_hero==0 then
		Sleep(500)
		Talk("com_s01_0403_01_hero")
	elseif s.dlg_s01_09==1 and s.com_s01_0403_02_hero==0  then
		Talk("com_s01_0403_02_hero")
	elseif s.dlg_s01_08==1 and s.com_s01_0403_03_hero==0  then
		Talk("com_s01_0403_03_hero")
	elseif s.dlg_s01_07==1 and s.com_s01_0403_04_hero==0  then
		Talk("com_s01_0403_04_hero")
	end
    
   
    
end
-------------------------------------------------------------------------------------------   
function Seqence(name)
	local s = MystSceneManager:GetInstance():GetCurrentView():GetNode(name)
	local ss = tolua.cast(s, "MystSprite2DSequence")
	return ss
end

function OnUpdate()
     UpdateSkyMotion(self)
end